# frozen_string_literal: true

require_relative "lib/git/worklog/version"

Gem::Specification.new do |spec|
  spec.name          = "git-worklog"
  spec.version       = Git::Worklog::VERSION
  spec.authors       = ["Ghouse Mohamed"]
  spec.email         = ["ghousemohamed7126@gmail.com"]

  spec.summary       = "Peek into the work you have been doing in the last day, week or year"
  spec.description   = "Often times in team meetings and 'show and tell' reports we have to go through our work, i.e. our commit history to collect all the work we have been upto. git-worklog makes it easy to fetch all the work you have been upto in the past X days."
  spec.homepage      = "https://github.com/ghousemohamed/git-worklog"
  spec.license       = "MIT"

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/ghousemohamed/git-worklog"
  spec.metadata["changelog_uri"] = "https://github.com/ghousemohamed/git-worklog"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "thor"
end
